Patch end user custom attributes

PATCH
/v1/endusers/{userId}/custom-attributes

Patch custom attributes of an end user

Authorization

ApiKeyAuth contact.custom_attribute
headerAuthorization<token>

Scope: contact.custom_attribute

Path Parameters

userId*string
Formatuuid

Request Body

The custom attributes of an end user to be patched. This should map the custom attribute id to the desired attribute value. Format: Map[UUID, Option[AttributeValue].

application/json
  1. body
[key: string]?array<string>|

AttributeValue values: String[] if the type of the custom attribute is Select or String if the type of the custom attribute is Text

Response Body

The patched end user attributes

application/json
  1. response
data?array<>
Example Request
curl -X PATCH 'https://dev.dixa.io/v1/endusers/{userId}/custom-attributes' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "274e5a2c-be0d-42c0-b725-3dd533729f68": "abcdef",  "befae0d9-9679-42b9-af76-e76f64e28429": [    "example1",    "example2"  ]}'
{
"data": [
{
"id": "274e5a2c-be0d-42c0-b725-3dd533729f68",
"name": "End user attribute",
"identifier": "end_user_attribute",
"value": "abcdef"
},
{
"id": "befae0d9-9679-42b9-af76-e76f64e28429",
"name": "End user attribute 2",
"identifier": "end_user_attribute_2",
"value": [
"example1",
"example2"
]
}
]
}